Subject: Re: bug#62791: BUILT_SOURCES not honoured in parallel build?

From: Reuben Thomas <[email-masked]>
Date: Wed, 6 Dec 2023 16:07:50 +0000

On Sun, 3 Dec 2023 at 03:47, Mike Frysinger <[email-masked]> wrote:

> >
> > I think I've worked it out: I need to add the .c file that is generated
> > from the .y file, not the .h file, to BUILT_SOURCES. Certainly, doing
> that
> > fixes the problem.
>
> we prob could add a .y/.l example to the manual.  i think i tripped over
> this
> error myself in a project in the past.  i think you want to list both
> files.
>

Thanks for the tip; on a belt-and-braces basis, it seems it can't hurt
anyway, so I've added the .h file back as well.

-- 
https://rrt.sc3d.org